﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace CellEditedUpdate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Data = new ObservableCollection<Data>();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new Data { ID = i, Value = i % 2 ==0 });
            }

            DataContext = this; 
        }

        public ObservableCollection<Data> Data { get; set; }
    }

    public class Data
    {
        private  int id;
        public int ID 
        {
            get { return id; }
            set
            {
                id = value;
            }
        }

        private bool val;
        public bool Value
        {
            get { return val; }
            set
            {
                val = value;
            }
        }
    }
}
